CAN_LOGGER(1)

NAME
can_logger - CAN data logger 3.0.0+github

DESCRIPTION
usage: python -m can.logger [-h] [-f LOG_FILE] [-v] [-c CHANNEL]

[-i {pcan,ixxat,socketcan_ctypes,kvaser,virtual,usb2can,vector,slcan,nican,socketcan,iscan,neovi,serial,socketcan_native}]
    [--filter ...] [-b BITRATE] [--active | --passive]

Log CAN traffic, printing messages to stdout or to a given file.

  optional arguments:

-h, --help
    show this help message and exit

-f LOG_FILE, --file_name LOG_FILE
    Path and base log filename, for supported types see can.Logger.

-v  How much information do you want to see at the command line? You can add several of these e.g., -vv is DEBUG

-c CHANNEL, --channel CHANNEL
    Most backend interfaces require some sort of channel. For example with the serial interface the channel might be a rfcomm device: "/dev/rfcomm0" With the socketcan interfaces valid channel examples include: "can0", "vcan0"

-i {pcan,ixxat,socketcan_ctypes,kvaser,virtual,usb2can,vector,slcan,nican,socketcan,iscan,neovi,serial,socketcan_native}, --interface {pcan,ixxat,socketcan_ctypes,kvaser,virtual,usb2can,vector,slcan,nican,socketcan,iscan,neovi,serial,socketcan_native}
    Specify the backend CAN interface to use. If left blank, fall back to reading from configuration files.

--filter ...
    Comma separated filters can be specified for the given CAN interface: <can_id>:<can_mask> (matches when <received_can_id> & mask == can_id & mask) <can_id>~<can_mask> (matches when <received_can_id> & mask != can_id & mask)

-b BITRATE, --bitrate BITRATE
    Bitrate to use for the CAN bus.

--active
    Start the bus as active, this is applied the default.

--passive
    Start the bus as passive.